Page MenuHomePhabricator

FileImporter tests are failing on PHP 7.1
Closed, ResolvedPublic2 Estimated Story Points

Description

19:59:51 1) FileImporter\Remote\MediaWiki\Test\ApiDetailRetrieverTest::testValidResponse with data set #0 (FileImporter\Data\SourceUrl Object (...), 'File:Foo.png', '{"query":{"pages":[{"title":"...}]}]}}', array('Foo.png', 'Foo', 'png'))
19:59:51 A non-numeric value encountered
19:59:51 
19:59:51 /workspace/src/extensions/FileImporter/src/Remote/MediaWiki/ApiDetailRetriever.php:402
19:59:51 /workspace/src/extensions/FileImporter/src/Remote/MediaWiki/ApiDetailRetriever.php:225
19:59:51 /workspace/src/extensions/FileImporter/tests/phpunit/Remote/MediaWiki/ApiDetailRetrieverTest.php:431
19:59:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
19:59:51 /workspace/src/maintenance/doMaintenance.php:94
19:59:51 
19:59:51 2) FileImporter\Remote\MediaWiki\Test\ApiDetailRetrieverTest::testValidResponse with data set #1 (FileImporter\Data\SourceUrl Object (...), 'Datei:Bar+1.JPG', '{"query":{"pages":[{"title":"...}]}]}}', array('Bar+1.JPG', 'Bar+1', 'JPG'))
19:59:51 A non-numeric value encountered
19:59:51 
19:59:51 /workspace/src/extensions/FileImporter/src/Remote/MediaWiki/ApiDetailRetriever.php:402
19:59:51 /workspace/src/extensions/FileImporter/src/Remote/MediaWiki/ApiDetailRetriever.php:225
19:59:51 /workspace/src/extensions/FileImporter/tests/phpunit/Remote/MediaWiki/ApiDetailRetrieverTest.php:431
19:59:51 /workspace/src/tests/phpunit/MediaWikiTestCase.php:416
19:59:51 /workspace/src/maintenance/doMaintenance.php:94

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-php71-docker/166/consoleFull

You can comment "check experimental" to trigger PHP 7.1 tests to verify the fix.

Event Timeline

Legoktm created this task.Oct 5 2018, 4:22 AM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptOct 5 2018, 4:22 AM

Change 465124 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Fix non-numeric value in ApiDetailRetrieverTest

https://gerrit.wikimedia.org/r/465124

thiemowmde triaged this task as Medium priority.
thiemowmde moved this task from Incoming to Move files to Commons on the archived--TCB-Team board.

Change 465124 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Fix non-numeric value in ApiDetailRetrieverTest

https://gerrit.wikimedia.org/r/465124

@thiemowmde could you add this to the sprint including a rough guess on the points you invested? ;-)

thiemowmde closed this task as Resolved.Oct 8 2018, 9:20 AM
thiemowmde set the point value for this task to 2.
thiemowmde moved this task from Sprint Backlog to Done on the WMDE-QWERTY-Sprint-2018-09-25 board.